<?php require "../../common/top.php"; ?>

<form method="post">
	<h2>Ajouter une zone</h2>
	<label for="domain">Domaine</label><br>
	<input required="" placeholder="domain.<?= CONF['common']['domain_example'] ?>." id="domain" name="domain" type="text"><br>
	<input value="Ajouter" type="submit">
</form>

<?php

if (isset($_POST['domain']) AND isset($_SESSION['username'])) {

	antiCSRF();

	checkAbsoluteDomainFormat($_POST['domain']);

	$db = new PDO('sqlite:' . DB_PATH);
	$stmt = $db->prepare("INSERT INTO zones(zone, username) VALUES(:zone, :username)");

	$stmt->bindParam(':zone', $_POST['domain']);
	$stmt->bindParam(':username', $_SESSION['username']);

	$stmt->execute();

	$knotZonePath = CONF['ns']['knot_zones_path'] . "/" . $_POST['domain'] . "zone";
	$knotZone = $_POST['domain'] . ' 3600 SOA ns1.niver.test. admin.niver.test. 1 21600 7200 3628800 3600
' . $_POST['domain'] . ' 86400 NS ns1.niver.test.
';
	file_put_contents($knotZonePath, $knotZone);
	chmod($knotZonePath, 0660);

	exec(CONF['ns']['knotc_path'] . " conf-begin");
	exec(CONF['ns']['knotc_path'] . " conf-set 'zone[" . $_POST['domain'] . "]'");
	exec(CONF['ns']['knotc_path'] . " conf-set 'zone[" . $_POST['domain'] . "].template' 'niver'");
	exec(CONF['ns']['knotc_path'] . " conf-commit");

	echo "La requête a été traitée.";

}

?>

<form method="post">
	<h2>Supprimer une zone</h2>
	<label for="zone">Zone</label>
	<select required="" name="zone" id="zone">
		<option value="" disabled="" selected="">-</option><?php
		if (isset($_SESSION['username'])) {
			$zones = nsListUserZones($_SESSION['username']);

			if (!empty($zones)) {
				foreach ($zones as $zone)
					echo "<option value='" . $zone . "'>" . $zone . "</option>";
			}
		}
?>
	</select>
	<br>
	<input value="Supprimer toutes les données liées à cette zone" type="submit">
</form>

<?php

if (isset($_POST['zone']) AND isset($_SESSION['username'])) {

	nsCheckZonePossession($_POST['zone']);

	// Remove from Knot configuration
	exec(CONF['ns']['knotc_path'] . " conf-begin");
	exec(CONF['ns']['knotc_path'] . " conf-unset 'zone[" . $_POST['zone'] . "]'");
	exec(CONF['ns']['knotc_path'] . " conf-commit");

	// Remove Knot zone file
	unlink(CONF['ns']['knot_zones_path'] . "/" . $_POST['zone'] . "zone");

	// Remove Knot related data
	exec(CONF['ns']['knotc_path'] . " zone-purge " . $_POST['zone']);

	// Remove from Niver's database
	$db = new PDO('sqlite:' . DB_PATH);
	$stmt = $db->prepare("DELETE FROM zones WHERE zone = :zone AND username = :username");

	$stmt->bindParam(':zone', $_POST['zone']);
	$stmt->bindParam(':username', $_SESSION['username']);

	$stmt->execute();

	echo "La requête a été traitée.";
}

?>

<?php require "../../common/bottom.php"; ?>
