<?php require "../../common/top.php"; ?>

Enregistrer la possession d'un domaine sur son compte.<br>
Ce domaine doit être composé uniquement d'au moins 4 lettres latines non accentuées.
<br>
<br>
<form method="post">
	<div>
		<label for="subdomain">Sous-domaine</label>
		<br>
		<input id="subdomain" pattern="<?= CONF['reg']['subdomain_regex'] ?>" required="" placeholder="niver" name="subdomain" type="text">.<?= CONF['reg']['registry'] ?>
	</div>
	<input value="Valider" type="submit">
</form>

<?php

if (isset($_POST['subdomain']) AND isset($_SESSION['username'])) {

	antiCSRF();

	if (preg_match("/" . CONF['reg']['subdomain_regex'] . "/", $_POST['subdomain'])) {

		$domain = $_POST['subdomain'] . "." . CONF['reg']['registry'];

		checkAbsoluteDomainFormat($domain);

		if (regIsFree($domain)) {
			$db = new PDO('sqlite:' . DB_PATH);
			$stmt = $db->prepare("INSERT INTO registry(domain, username, last_renewal) VALUES(:domain, :username, :last_renewal)");
			$username = $_SESSION['username'];

			$time = date("Y-m-d H:i:s");

			$stmt->bindParam(':domain', $domain);
			$stmt->bindParam(':username', $username);
			$stmt->bindParam(':last_renewal', $time);

			$stmt->execute();

			echo "Nouveau domaine enregistré";

		} else {
			echo "Le domaine " . $domain . " n'est pas disponible à l'enregistrement. Il est réservé ou déjà enregistré.";
		}
	} else {
		echo "Erreur : Le nom de domaine doit être composé uniquement d'entre 4 et 63 lettres minuscules (a-z)";
	}
}

?>

<?php require "../../common/bottom.php"; ?>
